Loading...
Searching...
No Matches
gridfire Namespace Reference

## Namespaces

namespace | engine
namespace | exceptions
| Namespace for GridFire exception classes. All custom exceptions defined in GridFire inherit from std::exception and are organized within this namespace for clarity and modularity.
namespace | io
namespace | partition
namespace | policy
namespace | rates
namespace | reaclib
namespace | reaction
namespace | screening
namespace | solver
namespace | trigger
namespace | utils

## Classes

struct | NetIn
struct | NetOut

## Concepts

concept | IsArithmeticOrAD
| Concept for types allowed in engine calculations.

## Variables

list | __all__ = ['type', 'utils', 'engine', 'solver', 'exceptions', 'partition', 'reaction', 'screening', 'io', 'policy']
str | __version__ = "v0.7.1_rc2"

## Variable Documentation

## __all__

list gridfire.__all__ = ['type', 'utils', 'engine', 'solver', 'exceptions', 'partition', 'reaction', 'screening', 'io', 'policy']

private

## __version__

str gridfire.__version__ = "v0.7.1_rc2"

private